package io.renren.modules.app.dao;

import io.renren.modules.app.entity.FjEntity;
import io.renren.modules.app.entity.FtqcEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.SfdwEntity;
import io.renren.modules.app.entity.SqwxzqEntity;
import io.renren.modules.app.entity.WxjlbEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 房屋维修单审核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-04-11 10:12:38
 */
@Mapper
public interface FwwxdshDao extends BaseMapper<SqwxzqEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param sqwxzqEntity
	 * @return
	 */
	List<SqwxzqEntity> queryByPage(SqwxzqEntity sqwxzqEntity);

	List<WxjlbEntity> selectwxxmxxbysqdh(String id);

	void updatetgsh(SqwxzqEntity sqwxzqEntity);

	void updateqxsh(SqwxzqEntity sqwxzqEntity);

	void updatebh(SqwxzqEntity sqwxzqEntity);

	List<SqwxzqEntity> queryByPageC(SqwxzqEntity sqwxzqEntity);

	List<FwxxEntity> queryByPageF(String id);

	void updatesqftzt(SqwxzqEntity sqwxzqEntity);

	void insertftqc(FwxxEntity fwxxEntity);
	
	void insertjsqc(FwxxEntity fwxxEntity);

	FwxxEntity selectfwxx(String id);

	void updatefwgrje(FwxxEntity fwxxEntity);

	List<FwxxEntity> selectftfw(String id);

	void deletesqwxzq(String id);

	void deleteftqcsc(String id);
	
	void deleteftqcye(String id);

	void updatesqhbzt(YwpzEntity ywpzEntity);

	void insertywpzhb(YwpzEntity ywpzEntity);

	List<SqwxzqEntity> queryByPageHB(SqwxzqEntity sqwxzqEntity);

	List<String> selectdjbhbysqdbh(String id);
	
	List<String> selectdjbhbysqdbh2(String id);

	void deleteywpz(String id);

	void updateqxhb(String id);

	List<SqwxzqEntity> queryByPageJS(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity selectywpzjs(String id);

	List<FwxxEntity> selectfwbyftqc(String id);
	
	List<FwxxEntity> selectfwbyftqc2(String id);

	void updatejszt(YwpzEntity ywpzEntity);

	List<FtqcEntity> selecteftqc(String id);

	void updateftqczsje(FwxxEntity fwxxEntity);

	void insertywpzjs(YwpzEntity ywpzEntity);

	void insertywpzmx(YwpzmxEntity ywpzmxEntity);
	
	void insertywpzmxx(YwpzmxEntity ywpzmxEntity);

	void updateftqc(FtqcEntity ftqcEntity);

	void deleteywpzmx(String id);

	YwpzEntity selectywpzhbxx(String id);

	FwxxEntity selectfwxxbyfwbm(String id);

	ZhxxEntity selectzhxxbydhbm(String id);

	void updatefwxxzqje(FwxxEntity fwxxEntity);

	void updatefwxxzqje2(FwxxEntity fwxxEntity);

	void updatezhxxzqje(ZhxxEntity zhxxEntity);

	List<YwpzEntity> queryByPageYZTK(YwpzEntity ywpzEntity);

	FwxxEntity selectfwxxby(String id);

	FwxxEntity selectwygsbydhbm(String id);

	void insertywpzyztk(YwpzEntity ywpzEntity);

	void insertywpzmxyztk(YwpzEntity ywpzEntity);

	void updateqxjszt(String id);

	void insertywpzyzxh(YwpzEntity ywpzEntity);

	void insertywpzmxyzxh(YwpzEntity ywpzEntity);

	void updatezhxxxhje(YwpzEntity ywpzEntity);

	void updatefwxxxhje(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPageYZXH(YwpzEntity ywpzEntity);

	void updateqxft(SqwxzqEntity sqwxzqEntity);

	String queryByCounthb(String date);

	String queryByCountjs(String date);

	String queryByCounttk(String date);

	String queryByCountxh(String date);

	void updatefwyztk(FwxxEntity fwxxEntity);

	XlkEntity selectxmbydh(String id);

	void updatezhxxgryjje(ZhxxEntity zhxxEntity);

	YwpzEntity selectzckje(String id);

	void updatezckje(SfdwEntity sfdwEntity);

	YwpzEntity selectje(String id);

	List<YwpzmxEntity> selectmx(String id);

	ZhxxEntity selectzhxxdqye(String id);

	void updatezhxxdqye(ZhxxEntity zhxxEntity);

	FwxxEntity selectfwxxdqye(String id);

	void updatefwxxdqye(FwxxEntity fwxxEntity);

	YwpzEntity selectfzhsmxdj(String id);

	void insertfzhsmx(YwpzEntity ywpzEntity);
	
	void insertfzhsmx2(YwpzEntity ywpzEntity);

	YwpzEntity selectfzhsmxjs(String id);

	void deletefzhsmxjs(String id);

	List<ZhxxEntity> selectdhbmbysqdbh(String id);

	String selectdwbmbyxm(String id);

	void deleteftywpz(String id);

	void deleteftywpzmx(String id);

	void deletejsywpz(String id);

	void deletejsywpzmx(String id);

	List<FtqcEntity> selectftqcsc(String id);
	
	List<YwpzmxEntity> selectftqcsc2(@Param(value = "id") String id);
	
	List<FtqcEntity> selectftqcye(String id);

	SqwxzqEntity selectscbfqxmje(@Param(value = "id") String id);
	
	SqwxzqEntity selectscbfhxmje(@Param(value = "id") String id);
	
	SqwxzqEntity selectscbfqxmje2(@Param(value = "id") String id);
	
	SqwxzqEntity selectscbfhxmje2(@Param(value = "id") String id);
	
	FjEntity selectwjdxbyfjid(String id);
	
	YwpzEntity selectfzdj(String id);
	
	YwpzEntity selectfzdj2(String id);
	
	List<YwpzEntity> selectkjqjbydjbh(String id);
	
	List<YwpzEntity> selectkjqjbydjbh2(String id);
	
	String selectmaxkjqj();
	
	List<YwpzEntity> selectfffff(String id);
	
	List<YwpzEntity> selectfffff2(String id);
	
	YwpzEntity selectqcye(YwpzEntity ywpzEntity);
	
	void updatefzhsye(YwpzEntity ywpzEntity);
	
	void updatefzhsye111(YwpzEntity ywpzEntity);
	
	List<YwpzEntity> selectfzhsye(String id);
	
	void insertfzhsye(YwpzEntity ywpzEntity);
	
	String ywkjqj(String id);
	
	void deletefzhsdj(String id);
	
	YwpzEntity selectwxjlbsqje(YwpzEntity ywpzEntity);
	
    List<YwpzEntity> selectdjxx(String id);
    
    List<String> queryByxm(String sqdbh);
    
    List<XmEntity> queryByxm2(String sqdbh);
    
    List<YwpzEntity> selectmimi();
    
    void updatemimi(YwpzEntity ywpzEntity);
    
    void updatemimi2(YwpzEntity ywpzEntity);
    
    List<FwxxEntity> queryByPageZQMXCX(YwpzEntity ywpzEntity);
    
    Double selectscwca(@Param(value = "djrq") String djrq,@Param(value = "xmbms") String xmbms);
    
    String selectdjbhbysq(String id);
    
    List<FwxxEntity> selectfw();
    
    List<FwxxEntity> selectfw2();
    
    List<YwpzmxEntity> selectfwmxxxx(String id);
    
    List<YwpzmxEntity> selectfwmxxxx2(String id);
    
    void updateywpzmxft(YwpzmxEntity ywpzmxEntity);
    
    void updateywpzmxft2(YwpzmxEntity ywpzmxEntity);
    
    void updateywpzmxft3(YwpzmxEntity ywpzmxEntity);
    
    YwpzmxEntity select1111(@Param(value = "fwbm") String fwbm,@Param(value = "djbhss") String djbhss);
}
